﻿using System.Windows.Controls;

namespace PolygonOptimizer.controls
{
	/// <summary>
	/// Interaction logic for KmlZoomOptimizeTest.xaml
	/// </summary>
	public partial class KmlZoomOptimizeTest : UserControl
	{
		public KmlZoomOptimizeTest()
		{
			InitializeComponent();
		}

		void UpdateInfo()
		{
			ZoomPolygonOptimizeTest obj = gridMain.DataContext as ZoomPolygonOptimizeTest;

			if (obj == null)
				return;

			if (zoomPolygonPointCount != null)
				zoomPolygonPointCount.Text = obj.CurrentZoomPolygon.Points.Count.ToString();
			if (listBoxPoints != null)
				listBoxPoints.ItemsSource = obj.CurrentZoomPolygon.Points;
		}

		private void zoomLevels_SelectionChanged(object sender, SelectionChangedEventArgs e)
		{
			//UpdateInfo();
		}

	}
}
